# Properties

## Paginates all properties based on permissions

> Retrieve the \`uuid\` and \`name\` for all properties which you have access to<br>

```json
{"openapi":"3.0.0","info":{"title":"Direct Booking API","version":"0.0.1"},"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-sm-api-key","in":"header"}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InvalidInputError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceNotFoundError"}}}},"429":{"description":"Too Many Requests","headers":{"Retry-After":{"schema":{"description":"seconds to retry after","type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TooManyRequests"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnavailableError"}}}},"properties":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedPropertySummaryList"}}}}},"schemas":{"PaginatedPropertySummaryList":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/PropertySummary"}}}}]},"Pagination":{"type":"object","properties":{"page":{"description":"page number","type":"integer"},"perPage":{"description":"number of records per page","type":"integer"},"total":{"description":"total number of records","type":"integer"},"totalPages":{"description":"total number of pages","type":"integer"}}},"PropertySummary":{"type":"object","properties":{"uuid":{"type":"string","description":"uuid assigned to the property in the SiteMinder Direct Booking product"},"name":{"type":"string","description":"the property name as it appears in the SiteMinder Direct Booking product"}},"required":["uuid","name"]},"InvalidInputError":{"type":"object","properties":{"name":{"type":"string","enum":["InvalidInputError"]},"message":{"type":"string"}}},"UnauthorizedError":{"type":"object","properties":{"name":{"type":"string","enum":["UnauthorizedError"]},"message":{"type":"string"}}},"ForbiddenError":{"type":"object","properties":{"name":{"type":"string","enum":["ForbiddenError"]},"message":{"type":"string"}}},"ResourceNotFoundError":{"type":"object","properties":{"name":{"type":"string","enum":["ResourceNotFoundError"]},"message":{"type":"string"}}},"TooManyRequests":{"type":"object","properties":{"name":{"type":"string","enum":["TooManyRequestsError"]},"message":{"type":"string"}}},"InternalError":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}}},"UnavailableError":{"type":"object","properties":{"name":{"type":"string","enum":["UnavailableError"]},"message":{"type":"string"}}}},"parameters":{"apiKey":{"name":"x-sm-api-key","in":"header","schema":{"type":"string"},"required":true,"description":"access token retrieved from Multi-Property Platform"},"page":{"in":"query","name":"page","description":"page number (defaults to 1)","schema":{"type":"integer","minimum":1}},"perPage":{"in":"query","name":"perPage","description":"items per page (defaults to 10)","schema":{"type":"integer","minimum":1,"maximum":50}}}},"paths":{"/properties":{"get":{"tags":["property:read"],"operationId":"getProperties","summary":"Paginates all properties based on permissions","description":"Retrieve the `uuid` and `name` for all properties which you have access to\n","responses":{"200":{"$ref":"#/components/responses/properties"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}},"parameters":[{"$ref":"#/components/parameters/apiKey"},{"$ref":"#/components/parameters/traceToken"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/perPage"}]}}}}
```

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.siteminder.com/direct-booking-api/reference/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
